summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 2b68539..97b28f5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,10 +12,16 @@ fi
set -x
+gettextize=$(which gettextize)
+if test -z "$gettextize"; then
+ echo "Couldn't find gettextize" >&2
+ exit 1
+fi
+
# Copied from avahi's autogen.sh to work around gettext braindamage
rm -f Makefile.am~ configure.ac~
# Evil, evil, evil, evil hack
-sed 's/read dummy/\#/' `which gettextize` | sh -s -- --copy --force --no-changelog
+sed 's/read dummy/\#/' $gettextize | sh -s -- --copy --force --no-changelog
test -f Makefile.am~ && mv Makefile.am~ Makefile.am
test -f configure.ac~ && mv configure.ac~ configure.ac